Agregar asset a wallet
curl --request POST \
--url https://sandbox-rampa.mesadepagos.com/api/v2/wallets/{id}/assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"symbol": "USDC",
"blockchain": "Polygon"
}
'import requests
url = "https://sandbox-rampa.mesadepagos.com/api/v2/wallets/{id}/assets"
payload = {
"symbol": "USDC",
"blockchain": "Polygon"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({symbol: 'USDC', blockchain: 'Polygon'})
};
fetch('https://sandbox-rampa.mesadepagos.com/api/v2/wallets/{id}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"walletId": "550e8400-e29b-41d4-a716-446655440001",
"status": "ACTIVE",
"createdAt": "2026-05-12T12:00:00.000Z",
"assets": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"symbol": "USDC",
"blockchain": "Polygon",
"walletAddress": "0x0000000000000000000000000000000000000000",
"legacyAddress": null
}
]
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Unauthorized"
}Wallet
Agregar asset a wallet
Agrega un asset y blockchain a una wallet existente del business autenticado.
POST
/
v2
/
wallets
/
{id}
/
assets
Agregar asset a wallet
Authorizations
JWT obtenido desde /v2/auth/login
Path Parameters
Identificador de la wallet/vault.
Example:
"550e8400-e29b-41d4-a716-446655440001"
Body
application/json
Asset y blockchain a agregar.
Response
Asset agregado a la wallet.
Identificador de la wallet/vault.
Example:
"550e8400-e29b-41d4-a716-446655440001"
Estado de la wallet.
Example:
"ACTIVE"
Fecha de creación de la wallet.
Example:
"2026-05-12T12:00:00.000Z"
Assets configurados en la wallet.
Show child attributes
Show child attributes
⌘I